<?php

# check if session is valid
require_once('/usr/local/www/berogui/includes/session.php');

chdir('..');
require_once('/usr/local/www/berogui/includes/variables.php');
require_once('/usr/local/www/berogui/misc/database.php');
require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

$execute = 1;
$invalid = array();
$m = Helper::sanitizeGet($_GET['m'], 'm', $execute, $invalid);
if (!$execute) {
	echo "<script>window.location='../../index.php?m=State&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

// Löscht Dateien aus dem Dateisystem
switch ($_GET['option']) {
	case "debug":
		unlink("/tmp/DebugFiles.tar.gz");
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	case "cdr":
		unlink("/tmp/isgw.cdr.gz");
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	case "certificate":
		if ($_GET['file']=='cafile'){
			unlink("/usr/conf/cafile.pem");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='agent'){
			Helper::activate(2);
			unlink("/usr/conf/agent.pem");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='cafile_lan'){
			Helper::activate(2);
			unlink("/usr/conf/cafile_lan.pem");
			unlink("/usr/conf/certs/lan/cafile.pem");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='agent_lan'){
			Helper::activate(2);
			unlink("/usr/conf/agent_lan.pem");
			unlink("/usr/conf/certs/lan/agent.pem");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='cafile_wan'){
			Helper::activate(2);
			unlink("/usr/conf/cafile_wan.pem");
			unlink("/usr/conf/certs/wan/cafile.pem");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='agent_wan'){
			Helper::activate(2);
			unlink("/usr/conf/agent_wan.pem");
			unlink("/usr/conf/certs/wan/agent_wan.pem");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='snmpd_agent_cert'){
			unlink("/usr/conf/tls/certs/snmpd_agent.crt");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='snmpd_agent_key'){
			unlink("/usr/conf/tls/private/snmpd_agent.key");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		else if ($_GET['file']=='snmpd_manager_cert'){
			unlink("/usr/conf/tls/certs/snmpd_manager.crt");
			echo "<script>window.location='../index.php?m=".$m."';</script>";
		}
		break;
		
	case "certificate_https":
		Helper::activate(3);
		unlink("/usr/conf/berofix.pem");
		exec("ln -s /etc/lighttpd.pem /usr/conf/berofix.pem");
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	case "sip_license":
		unlink("/usr/conf/isgw_".SERIAL.".license");
		echo "<script>window.location='../index.php?m=".$m."&reload=true';</script>";
		break;
	case "sms":
		$filename = basename($_GET['filename']);
		if (Helper::checkInputData('file-exists', $filename, array('/tmp/sms/in'))) {
			unlink("/tmp/sms/in/".$filename);
		}
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	case "smsFail":
		$filename = basename($_GET['filename']);
		if (Helper::checkInputData('file-exists', $filename, array("/tmp/sms/failout"))) { 
			exec("/bin/rm -r /tmp/sms/failout/". $filename);
		}
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	case "profile":
		$filename = basename($_GET['file']);
		$dir = dirname("/usr/conf/profile/" .$_GET['category']. "/$filename");
		if (Helper::checkInputData('dir-exists', $dir) && Helper::checkInputData('file-exists', $filename, array($dir))) {
			unlink($dir."/".$filename);
			if (count(scandir($dir)) == 2){
				rmdir($dir);
			}
		}
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	case 'info':
		unlink("/tmp/debug-info.tar.gz");
		@unlink("/tmp/core");
		@unlink("/tmp/corelink");
		echo "<script>window.location='../index.php?m=".$m."';</script>";
		break;
	default:
		echo "<script>window.location='../index.php?m=State&error=1&request=POST&checkor=unknown&key=action'</script>";
		break;	
}

?>
